
package org.apache.hello_world_soap_http.types;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.apache.hello_world_soap_http.types package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _AddNumbers_QNAME = new QName("http://apache.org/hello_world_soap_http/types", "addNumbers");
    private final static QName _AddNumbersResponse_QNAME = new QName("http://apache.org/hello_world_soap_http/types", "addNumbersResponse");
    private final static QName _BareDocument_QNAME = new QName("http://apache.org/hello_world_soap_http/types", "BareDocument");
    private final static QName _BadRecordLit_QNAME = new QName("http://apache.org/hello_world_soap_http/types", "BadRecordLit");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.apache.hello_world_soap_http.types
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link SayHiResponse }
     * 
     */
    public SayHiResponse createSayHiResponse() {
        return new SayHiResponse();
    }

    /**
     * Create an instance of {@link BadRecord }
     * 
     */
    public BadRecord createBadRecord() {
        return new BadRecord();
    }

    /**
     * Create an instance of {@link BareDocumentResponse }
     * 
     */
    public BareDocumentResponse createBareDocumentResponse() {
        return new BareDocumentResponse();
    }

    /**
     * Create an instance of {@link TestNillable }
     * 
     */
    public TestNillable createTestNillable() {
        return new TestNillable();
    }

    /**
     * Create an instance of {@link GreetMeSometime }
     * 
     */
    public GreetMeSometime createGreetMeSometime() {
        return new GreetMeSometime();
    }

    /**
     * Create an instance of {@link SayHi }
     * 
     */
    public SayHi createSayHi() {
        return new SayHi();
    }

    /**
     * Create an instance of {@link StringStruct }
     * 
     */
    public StringStruct createStringStruct() {
        return new StringStruct();
    }

    /**
     * Create an instance of {@link AddNumbers }
     * 
     */
    public AddNumbers createAddNumbers() {
        return new AddNumbers();
    }

    /**
     * Create an instance of {@link AddNumbersResponse }
     * 
     */
    public AddNumbersResponse createAddNumbersResponse() {
        return new AddNumbersResponse();
    }

    /**
     * Create an instance of {@link TestDocLitFault }
     * 
     */
    public TestDocLitFault createTestDocLitFault() {
        return new TestDocLitFault();
    }

    /**
     * Create an instance of {@link GreetMeOneWay }
     * 
     */
    public GreetMeOneWay createGreetMeOneWay() {
        return new GreetMeOneWay();
    }

    /**
     * Create an instance of {@link GreetMe }
     * 
     */
    public GreetMe createGreetMe() {
        return new GreetMe();
    }

    /**
     * Create an instance of {@link GreetMeLater }
     * 
     */
    public GreetMeLater createGreetMeLater() {
        return new GreetMeLater();
    }

    /**
     * Create an instance of {@link TestDocLitFaultResponse }
     * 
     */
    public TestDocLitFaultResponse createTestDocLitFaultResponse() {
        return new TestDocLitFaultResponse();
    }

    /**
     * Create an instance of {@link TestNillableResponse }
     * 
     */
    public TestNillableResponse createTestNillableResponse() {
        return new TestNillableResponse();
    }

    /**
     * Create an instance of {@link ErrorCode }
     * 
     */
    public ErrorCode createErrorCode() {
        return new ErrorCode();
    }

    /**
     * Create an instance of {@link NoSuchCodeLit }
     * 
     */
    public NoSuchCodeLit createNoSuchCodeLit() {
        return new NoSuchCodeLit();
    }

    /**
     * Create an instance of {@link GreetMeSometimeResponse }
     * 
     */
    public GreetMeSometimeResponse createGreetMeSometimeResponse() {
        return new GreetMeSometimeResponse();
    }

    /**
     * Create an instance of {@link GreetMeResponse }
     * 
     */
    public GreetMeResponse createGreetMeResponse() {
        return new GreetMeResponse();
    }

    /**
     * Create an instance of {@link GreetMeLaterResponse }
     * 
     */
    public GreetMeLaterResponse createGreetMeLaterResponse() {
        return new GreetMeLaterResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbers }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://apache.org/hello_world_soap_http/types", name = "addNumbers")
    public JAXBElement<AddNumbers> createAddNumbers(AddNumbers value) {
        return new JAXBElement<AddNumbers>(_AddNumbers_QNAME, AddNumbers.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://apache.org/hello_world_soap_http/types", name = "addNumbersResponse")
    public JAXBElement<AddNumbersResponse> createAddNumbersResponse(AddNumbersResponse value) {
        return new JAXBElement<AddNumbersResponse>(_AddNumbersResponse_QNAME, AddNumbersResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://apache.org/hello_world_soap_http/types", name = "BareDocument")
    public JAXBElement<String> createBareDocument(String value) {
        return new JAXBElement<String>(_BareDocument_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://apache.org/hello_world_soap_http/types", name = "BadRecordLit")
    public JAXBElement<String> createBadRecordLit(String value) {
        return new JAXBElement<String>(_BadRecordLit_QNAME, String.class, null, value);
    }

}
